<template>
  <div class="side-bar-section">
    <h4 class="title">
      <slot/>
      <div class="title-icon">
        <slot name="title-icon"/>
      </div>
    </h4>
    <!-- <hr/> -->

    <slot name="section-content"/>
  </div>
</template>

<script>
export default {
  name: 'AppSideBarSection',
};
</script>

<style scoped>
.side-bar-section {
  text-align: left;
}

.title {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin: 0.5em;

  color: #4365a6;
}

.title > .title-icon:hover {
  color: #4e75bf;
  cursor: pointer;
}

hr {
  margin: auto;
  height: 0px;
  border: 0px;
  border-top: 1px solid #537dcc;
}
</style>
